package com.ylcm.sys.service;

import java.util.List;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ylcm.sys.domain.AdSpecial;
import com.ylcm.sys.excel.model.AdSpecialPlatformImportDTO;
import com.ylcm.sys.excel.model.AdSpecialProductImportDTO;
import com.ylcm.sys.form.AdSpecialForm;
import com.ylcm.sys.form.AdSpecialQueryForm;

/**
 * <p>
 * 专题管理 服务类
 * </p>
 *
 * @author admin
 * @since 2020-07-01
 */
public interface AdSpecialService extends IService<AdSpecial> {

	IPage<AdSpecial> queryPage(AdSpecialQueryForm adSpecialQueryForm);
	
	AdSpecial getOneByForm(AdSpecialForm form);
	
	String importProductBatch(List<AdSpecialProductImportDTO> importDTOs) throws Exception;
	
	String importPlatformBatch(List<AdSpecialPlatformImportDTO> importDTOs) throws Exception;

	/**
	 * 同步专题栏目/产品信息
	 * @param type
	 * @param productName 新栏目/产品
	 * @param brandName  新内容/品牌
	 * @param oldProductName 旧栏目/产品
	 * @param oldBrandName 旧内容/品牌
	 * @return
	 */
	int upSyscAdSpecialProductName(Integer type, String productName
			, String brandName,  String oldProductName , String oldBrandName);
	
    /**
     * 电视剧修改后，同步专题
     * @param oldName
     * @param newName
     */
	void updateTvName(String oldName, String newName);
	
     /**
      * 媒体修改后，同步专题
      * @param oldName
      * @param newName
      */
	void updateMediaName(String oldName, String newName);
	
	void delete(Integer id);

	String saveOrUpd(AdSpecialForm form);
	
}
